## pyfai 0.3.5

=== debian/changelog ===
pyfai (0.3.5-1) unstable; urgency=low

  * Initial release (Closes: #656633)  

 -- Jerome Kieffer <jerome.kieffer@esrf.fr>  Fri, 20 Jan 2012 22:00:20 +0100
