=== debian/watch ===
version=3
https://forge.epn-campus.eu/attachments/download/.*/pyFAI-(.+)\.tar\.gz
