## pyfai 0.10.2

=== debian/changelog ===
pyfai (0.10.2-1) unstable; urgency=medium

  * Import new upstream version (0.10.2)
  * debian/control
    - Bump Standrad-Version 3.9.6 (nothing to do)
    - fix Build-Depends/Depends with cme
    - prepare for Debian-Science team maintenance.
  * debian/copyright
    - use copyright-format/1.0
  * debian/rules
    - cythonize files during the build
    - use dh_numpy for better binary dependency.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 24 Oct 2014 09:01:53 +0100
