=== debian/control ===
Source: pyfai
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: cython,
               debhelper (>= 9),
               python-all-dev,
               python-fabio,
               python-fftw,
               python-lxml,
               python-matplotlib,
               python-numpy,
               python-scipy,
               python-tk
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pyfai.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/pyfai.git
Homepage: http://forge.epn-campus.eu/projects/azimuthal
X-Python-Version: >= 2.6

Package: pyfai
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
	 ${shlibs:Depends},
         python-fabio,
         python-imaging,
         python-matplotlib,
         python-scipy
Recommends: python-fftw,
            python-h5py,
            python-pyopencl,
            python-qt4 | python-pyside
Suggests: pymca,
          python-rfoo
Description: Fast Azimuthal Integration scripts
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
