=== debian/watch ===
version=3
http://forge.epn-campus.eu/projects/azimuthal/files .*pyFAI-(.+)_full\.tar\.gz
