=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyfai

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
# remove the cython generated file to force rebuild
	rm -f $(patsubst %.pyx,%.c,$(wildcard src/*.pyx))
	rm -rf build/html
	rm -rf *.egg-info

override_dh_auto_build:
	dh_auto_build
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} http_proxy='localhost' sphinx-build -N -bhtml doc/source build/html" dh_auto_build  # H

override_dh_install:
	dh_numpy
	dh_numpy3
	dh_install
# move the scripts into fabio-viewer
	dh_install -p pyfai debian/python-pyfai/usr/bin usr/
# remove all scripts installed by pybuild
	rm -rf debian/python-pyfai/usr/bin
	rm -rf debian/python-pyfai-dbg/usr/bin
	rm -rf debian/python3-pyfai/usr/bin
	rm -rf debian/python3-pyfai-dbg/usr/bin

override_dh_auto_test:
#	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} {interpreter} test/test_all.py"

override_dh_installman:
	dh_installman -p pyfai doc/*.1

override_dh_installdocs:
	dh_installdocs "build/html" -p python-pyfai-doc
	dh_installdocs
