## pyfai 0.12.0+dfsg

=== debian/changelog ===
pyfai (0.12.0+dfsg-5) unstable; urgency=medium

  * Remove python-fftw dependency

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 27 Aug 2016 16:59:18 +0200

pyfai (0.12.0+dfsg-4) unstable; urgency=medium

  * debian/tests/control
    - * Add python-tk-dbg and python3-tk-dbg Depends

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 18 Aug 2016 20:57:26 +0200

pyfai (0.12.0+dfsg-3) unstable; urgency=medium

  * debian/tests/control
    - Add pyfai dependency for all tests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 18 Aug 2016 09:19:00 +0200

pyfai (0.12.0+dfsg-2) unstable; urgency=medium

  * New Homepage https://github.com/silx-kit/pyFAI
  * debian/control
    - Build-Depends on python3-fabio-x (>= 0.4.0+dfsg-2~)
    - Updated Vcs-x in order to use https
  * debian/patchs
    - 0004-do-not-use-deprecated-sphinx-pngmath-extension.patch (new)
      In order to fix an FTBFS (closes: #831242)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 17 Aug 2016 13:03:44 +0200

pyfai (0.12.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.12.0+dfsg
  * Updated Files-Excluded to remove the pre-generated documentation.
  * debian/patchs
    - 0001-fix-pyFAI-when-third_party-is-missing.patch (upstreamed)
    - 0002-fix-from-upstream-python3-installation.patch (upstreamed)
    - 0003-fix-from-upstream-for-fabio-3.x.patch (upstreamed)
    + 0001-remove-useless-logic-in-conf.py.patch (new)
    + 0002-skip-test-if-no-network.patch (new)
    + 0003-use-the-system-mathjax.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 07 Jun 2016 14:50:00 +0200

pyfai (0.11.0+dfsg-5) unstable; urgency=medium

  * debian/patch
    + 0003-fix-from-upstream-for-fabio-3.x.patch (updated)
      previous patch was wrong.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 27 Mar 2016 15:51:21 +0200

pyfai (0.11.0+dfsg-4) unstable; urgency=medium

  * debian/control
    - Added Build-Depends fabio (>= 0.3.0+dfsg-1~)
  * debian/patch
    + 0003-fix-from-upstream-for-fabio-3.x.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 26 Mar 2016 15:25:53 +0100
