## pyfai 0.13.0+dfsg

=== debian/changelog ===
pyfai (0.13.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.13.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 03 Dec 2016 10:00:18 +0100
