=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
            Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
+Testsuite: autopkgtest
 Priority: extra
 Build-Depends: cython,
                cython-dbg,
@@ -10,11 +11,11 @@
                cython3-dbg,
                debhelper (>= 9),
                dh-python,
+               libjs-mathjax,
                python-all-dev,
                python-all-dbg,
-               python-fabio (>= 0.2.2+dfsg~),
-               python-fabio-dbg (>= 0.2.2+dfsg~),
-               python-fftw,
+               python-fabio (>= 0.3.0+dfsg-1~),
+               python-fabio-dbg (>= 0.3.0+dfsg-1~),
                python-h5py,
                python-lxml,
                python-lxml-dbg,
@@ -26,14 +27,15 @@
                python-qt4-dbg,
                python-scipy,
                python-scipy-dbg,
+               python-setuptools,
                python-sphinx,
                python-sphinxcontrib.programoutput,
                python-tk,
                python-tk-dbg,
                python3-all-dev,
                python3-all-dbg,
-               python3-fabio (>= 0.2.2+dfsg~),
-               python3-fabio-dbg (>= 0.2.2+dfsg~),
+               python3-fabio (>= 0.4.0+dfsg-2~),
+               python3-fabio-dbg (>= 0.4.0+dfsg-2~),
                python3-lxml,
                python3-lxml-dbg,
                python3-matplotlib,
@@ -44,14 +46,15 @@
                python3-pyqt4-dbg,
                python3-scipy,
                python3-scipy-dbg,
+               python3-setuptools,
                python3-sphinx,
                python3-sphinxcontrib.programoutput,
                python3-tk,
                python3-tk-dbg
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyfai.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/pyfai.git
-Homepage: http://forge.epn-campus.eu/projects/azimuthal
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyfai.git
+Homepage: https://github.com/silx-kit/pyFAI
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
@@ -84,12 +87,11 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
-         python-fabio (>= 0.2.2+dfsg~),
+         python-fabio (>= 0.3.0+dfsg-1~),
          python-imaging,
          python-matplotlib,
          python-scipy
-Recommends: python-fftw,
-            python-h5py,
+Recommends: python-h5py,
             python-pyopencl,
             python-qt4 | python-pyside
 Suggests: pymca,
@@ -123,15 +125,14 @@
          ${python:Depends},
          ${shlibs:Depends},
          python-pyfai (= ${binary:Version}),
-         python-fabio-dbg (>= 0.2.2+dfsg~),
+         python-fabio-dbg (>= 0.3.0+dfsg-1~),
          python-imaging-dbg,
          python-matplotlib-dbg,
          python-scipy-dbg
 Recommends: python-dbg,
             python-pyopencl-dbg,
             python-qt4-dbg
-Suggests: python-fftw-dbg,
-          python-h5py-dbg
+Suggests: python-h5py-dbg
 Description: Fast Azimuthal Integration scripts - Python2 debug
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -158,14 +159,13 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-fabio (>= 0.2.2+dfsg~),
+         python3-fabio (>= 0.3.0+dfsg-1~),
          python3-pil,
          python3-matplotlib,
          python3-scipy
 Recommends: python3-pyopencl,
             python3-pyqt4 | python3-pyside
-Suggests: python3-fftw,
-          python3-h5py
+Suggests: python3-h5py
 Description: Fast Azimuthal Integration scripts - Python3
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -192,15 +192,14 @@
          ${python3:Depends},
          ${shlibs:Depends},
          python3-pyfai (= ${binary:Version}),
-         python3-fabio-dbg (>= 0.2.2+dfsg~),
+         python3-fabio-dbg (>= 0.3.0+dfsg-1~),
          python3-pil-dbg,
          python3-matplotlib-dbg,
          python3-scipy-dbg
 Recommends: python3-dbg,
             python3-pyopencl-dbg,
             python3-pyqt4-dbg | python3-pyside-dbg
-Suggests: python3-fftw-dbg,
-          python3-h5py-dbg
+Suggests: python3-h5py-dbg
 Description: Fast Azimuthal Integration scripts - Python3 debug
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -225,7 +224,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+         ${sphinxdoc:Depends},
+         libjs-mathjax,
 Description: Fast Azimuthal Integration scripts - Documentation
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
