=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=pyfai
-#export PYBUILD_DISABLE_python2-dbg=test
-#export PYBUILD_DISABLE_python3=test
-#export PYBUILD_DISABLE_python3-dbg=test
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
 
 %:
@@ -17,7 +14,7 @@
 	rm -f all_testimage.json fai_cfg.json lima_cfg.json profile.log
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom \
+#	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} PYFAI_TESTIMAGES=testimages PYFAI_DATA=$(shell pwd) {interpreter} ./run_tests.py" dh_auto_test
 
 override_dh_install:
