## pyfai 0.15.0+dfsg1

=== debian/changelog ===
pyfai (0.15.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.15.0+dfsg1
  * Repacked to deal the new third_party layout (Closes: #889183)
  * d/control
    - Build-Depends:
      - Added pandoc
      - Added python[3]-nbsphinx
  * d/patches
    + 0005-unactive-script-test.patch (Added)
  * d/rules
    - Do not build the documentation with python2-dbg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 03 Feb 2018 09:08:32 +0100

pyfai (0.15.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.15.0+dfsg
  * d/control
    - Bump Standrad-Version 4.1.3 (nothing)
  * debian/patches
    - refreshed
  * d/watch
    - _src is optional

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 02 Feb 2018 22:05:05 +0100

pyfai (0.14.2+dfsg-6) unstable; urgency=medium

  * fix for real the ftbfs

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Dec 2017 18:17:32 +0100

pyfai (0.14.2+dfsg-5) unstable; urgency=medium

  * d/rules
    - Fixed the FTBFS by providing the POCL cache dir (Closes: #876739)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Dec 2017 17:08:59 +0100

pyfai (0.14.2+dfsg-4) unstable; urgency=medium

  * d/patches
    - 0004-instrument-setup-code-to-deal-with-the-buildd-FTBFS.patch (Updated)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Dec 2017 14:58:36 +0100

pyfai (0.14.2+dfsg-3) unstable; urgency=medium

  * d/patches
    - 0004-instrument-setup-code-to-deal-with-the-buildd-FTBFS.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Dec 2017 13:37:21 +0100

pyfai (0.14.2+dfsg-2) unstable; urgency=medium

  * d/control
    - Bump Standrad-Version 4.1.1 (nothing)
    - Fixed broken dependency python3-pymca-dbg -> python3-pymca5-dbg
    - Added python-numpy-dbg, python3-numpy-dbg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 Oct 2017 14:37:48 +0200

pyfai (0.14.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.14.0+dfsg
  * debian/watch
    - Check the pgp signature via uscan
  * debian/upstream
    - add the upstream keyring
  * debian/control
    - Bump Standrad-Version 4.0.1 (extra -> optional)
    - Build-Depends
      + Fixed with cme
      + Removed python[3]-pil[-dbg]
      + Removed python[3]-lxml[-dbg]
      + Added python[3]-numexpr[-dbg]
      + Added python[3]-pymca5[-dbg]
      + Added python[3]-pyopencl[-dbg]
      + Added help2man in order to generate the manpages.
      + Added xauth, xvfb
  * debian/patches
    - 0003-remove-a-wrong-PYTHONPATH-modification.patch  (Added)
    - 0003-use-the-system-mathjax.patch (Added)
    - 0005-fix-the-setup-dependencies.patch (Added)
  * Debian/rules
    - Run tests with xvfb

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 31 Jul 2017 13:40:50 +0200
