## pyfai 0.16.0+dfsg1

=== debian/changelog ===
pyfai (0.16.0+dfsg1-2) unstable; urgency=medium

  * Exported XDG_CACHE_DIR to store openCL kernels and
    fixed the FTBFS.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 28 Oct 2018 22:07:52 +0100

pyfai (0.16.0+dfsg1-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.16.0+dfsg1
  * d/control
    - Removed useless XS-Python[3]
    - Removed useless Testsuite
    - Fixed URL for salsa
    - Bump Standrad-Version 4.2.1 (nothing to do)
    - Build-Depends
      + Added python[3]-silx[-dbg] (>= 0.8.0)
  * d/test
    - Moves all tests into control.autodep8

  [ Salsa Pipeline Bot ]
  * Add pipeline template
  * Initial pipeline

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 28 Oct 2018 13:58:42 +0100
