=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
            Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: cython,
                cython-dbg,
@@ -36,8 +35,8 @@
                python-scipy,
                python-scipy-dbg,
                python-setuptools,
-               python-silx,
-               python-silx-dbg,
+               python-silx (>= 0.8.0),
+               python-silx-dbg (>= 0.8.0),
                python-sphinx,
                python-sphinxcontrib.programoutput,
                python-tk,
@@ -64,20 +63,18 @@
                python3-scipy,
                python3-scipy-dbg,
                python3-setuptools,
-               python3-silx,
-               python3-silx-dbg,
+               python3-silx (>= 0.8.0),
+               python3-silx-dbg (>= 0.8.0),
                python3-sphinx,
                python3-sphinxcontrib.programoutput,
                python3-tk,
                python3-tk-dbg,
                xauth,
                xvfb
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyfai.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyfai.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/pyfai
+Vcs-Git: https://salsa.debian.org/science-team/pyfai.git
 Homepage: https://github.com/silx-kit/pyFAI
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 
 Package: pyfai
 Architecture: all
