=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export PYBUILD_NAME=pyfai
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
 export POCL_CACHE_DIR=$(CURDIR)/.cache/
+export XDG_CACHE_HOME=$(POCL_CACHE_DIR)
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -25,7 +26,7 @@
 override_dh_auto_test:
 	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' PYFAI_TESTIMAGES=testimages PYFAI_DATA=$(shell pwd) xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} ./run_tests.py --low-mem --no-opencl --installed" dh_auto_test
+	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' PYFAI_TESTIMAGES=testimages PYFAI_DATA=$(shell pwd) xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} ./run_tests.py --low-mem --installed" dh_auto_test
 
 override_dh_install:
 	dh_numpy
